package rosa

import "hakurei.app/internal/pkg"

func (t Toolchain) newMuslFts() (pkg.Artifact, string) {
	const (
		version  = "1.2.7"
		checksum = "N_p_ZApX3eHt7xoDCw1hLf6XdJOw7ZSx7xPvpvAP0knG2zgU0zeN5w8tt5Pg60XJ"
	)
	return t.NewPackage("musl-fts", version, newFromGitHub(
		"void-linux/musl-fts",
		"v"+version,
		checksum,
	), &PackageAttr{
		Env: []string{
			"CC=cc -fPIC",
		},
	}, &MakeHelper{
		Generate: "./bootstrap.sh",
	},
		Automake,
		Libtool,
		PkgConfig,
	), version
}
func init() {
	artifactsM[MuslFts] = Metadata{
		f: Toolchain.newMuslFts,

		Name:        "musl-fts",
		Description: "implementation of fts(3) functions which are missing in musl libc",
		Website:     "https://github.com/void-linux/musl-fts",

		ID: 26980,
	}
}
